<h2 mat-dialog-title class="title">{{data.title}}</h2>
<div mat-dialog-content>
  <form class="example-form col-12 float-left">
    <mat-form-field class="col-lg-4 col-md-6 col-6 float-left" appearance="fill">
      <mat-label class="font-comp">Fecha</mat-label>
      <input matInput class="font-comp" [matDatepicker]="dp3" [min]="minDate" [max]="today" [formControl]="date" [(ngModel)]="regserv.movimientocaja_reg.fecha"  readonly />
      <mat-datepicker-toggle matSuffix [for]="dp3"></mat-datepicker-toggle>
      <mat-datepicker #dp3 disabled="false"></mat-datepicker>
    </mat-form-field>
    <section class="example-section full-width col-lg-8 col-md-6 col-6 float-left" style="padding: 20px;">
      <mat-checkbox *ngIf="!data.egreso" name="familia"   class="example-margin" [(ngModel)]="regserv.movimientocaja_reg.aportefamiliar">Aporte Familiar</mat-checkbox>
    </section>
    <app-ctrlmiembros *ngIf="!data.egreso" [descripcionctrl]="'Seleccione persona responable de dar el dinero'" [tipo]=0 [mostrar]=true [gral]=false ></app-ctrlmiembros>
    <app-ctrlmiembros *ngIf="data.egreso" [descripcionctrl]="'Seleccione persona que se realizó la entrega de dinero'" [tipo]=0 [mostrar]=true [gral]=false ></app-ctrlmiembros>
    <app-ctrlmiembros *ngIf="data.egreso" [descripcionctrl]="'Seleccione persona que autorizó la entrega de dinero'" [tipo]=1 [mostrar]=true [gral]=false></app-ctrlmiembros>
    <mat-form-field class="col-lg-6 col-md-6 col-6 float-left" appearance="fill">
      <mat-label *ngIf="data.egreso" class="font-comp">Seleccione tipo de gasto</mat-label>
      <mat-label *ngIf="!data.egreso" class="font-comp">Seleccione tipo de ingreso</mat-label>
      <mat-select name="tipogasto" class="font-comp" [(ngModel)]="regserv.movimientocaja_reg.idtipogasto">
        <mat-option
            *ngFor="let option of tipogastoslst" (click)="listardetalle(option)"
            value="{{ option.id }}">
          {{ option.descripcion }}
        </mat-option>
      </mat-select>
    </mat-form-field>

    <mat-form-field class="col-lg-6 col-md-6 col-6 float-left" appearance="fill">
      <mat-label *ngIf="data.egreso" class="font-comp">Seleccione descripción de gasto</mat-label>
      <mat-label *ngIf="!data.egreso" class="font-comp">Seleccione descripción de ingreso</mat-label>
      <mat-select name="descgasto" class="font-comp" [(ngModel)]="regserv.movimientocaja_reg.idtipomovimiento">
        <mat-option
            *ngFor="let option of descripciongastolst"
            value="{{ option.id }}">
          {{ option.descripcion }}
        </mat-option>
      </mat-select>
    </mat-form-field>
    <mat-form-field class="col-lg-6 col-md-6 col-6 float-left" appearance="fill">
      <mat-label class="font-comp">Seleccione rubro de destino</mat-label>
      <mat-select name="destino" class="font-comp" [(ngModel)]="regserv.movimientocaja_reg.destino" (ngModelChange)="selrubro()">
        <mat-option
            *ngFor="let option of destinolst"
            value="{{ option.id }}">
          {{ option.descripcion }}
        </mat-option>
      </mat-select>

    </mat-form-field>

    <div class="col-lg-6 col-md-6 col-6 float-left">
      <div class="float-left">
        <mat-chip-list
          class="example-chip font-comp col-r"
          cdkDropList
          cdkDropListOrientation="horizontal">
          <mat-chip color="warn" selected
            >
          Saldo {{ ctrlserv.saldorubro | currency:segserv.moneda }}
          </mat-chip>
        </mat-chip-list>
      </div>
      <div class="col-lg-2 col-md-2 col-2 float-left">
        <button class="btn btn-sm btn-list btn-mg" *ngIf="data.egreso" matTooltip="Transferencia entre rubros de destino" (click)="nvomodservic.nuevatransferenciarubros(regserv.movimientocaja_reg.destino)" ><i class="fa fa-exchange-alt"></i></button>
      </div>
    </div>
    <mat-form-field class="example-full-width" class="col-12 float-left">
      <mat-label class="font-comp comentinp">Comentario</mat-label>
      <textarea [attr.maxLength]="configserv.maxlengthcom" name="comentario" matInput placeholder="..." class="font-comp" [(ngModel)]="regserv.movimientocaja_reg.comentario"></textarea>
    </mat-form-field>
  </form>
</div>
<div class="total-dl col-lg-7 float-left">
  <mat-form-field class="example-full-width" >
    <mat-label>Monto S/</mat-label>
    <input matInput placeholder="0.00" value="" class="col-r" [(ngModel)]="regserv.movimientocaja_reg.monto" appDecimales>
  </mat-form-field>
</div>
<div mat-dialog-actions class="apbtn col-lg-4 float-left">
  <button class="btn btn-sm btn-danger btn-uq" mat-button (click)="configserv.onNoClickDialog(dialogRef)">Cancelar</button>
  <button class="btn btn-sm btn-reg btn-uq" mat-button (click)="guardaregresos($event)" >Aceptar</button>
  <!-- cdkFocusInitial ->FOCUS -->
</div>


